<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginBottom="12dp"
    android:background="@drawable/shape_schedule_bg"
    android:orientation="vertical"
    android:padding="11dp">

    <TextView
        android:id="@+id/tv_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableLeft="@drawable/shape_point_end"
        android:drawablePadding="7dp"
        android:textColor="#ffff513c"
        android:textSize="12sp"
        tools:text="已结束" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="8dp"
        android:layout_marginBottom="12dp"
        android:background="#FFEFEFF3" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <RelativeLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <TextView
                android:id="@+id/tv_course_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="9dp"
                android:textColor="#ff333333"
                android:textSize="15sp"
                tools:text="专题辅导：新时代党的组织路线" />

            <ImageView
                android:id="@+id/iv_course_cover"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_below="@id/tv_course_name"
                android:layout_marginRight="10dp"
                tools:src="@color/app_color_f6" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_below="@id/tv_course_name"
                android:layout_toRightOf="@id/iv_course_cover">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tv_course_type"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/shape_course_tag"
                        android:paddingLeft="5dp"
                        android:paddingTop="2dp"
                        android:paddingRight="5dp"
                        android:paddingBottom="2dp"
                        android:textColor="#ff009ced"
                        android:textSize="12sp"
                        tools:text="课程" />

                    <TextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#ffbbbbbb"
                        android:textSize="12sp"
                        tools:text="2021.03.10  13:50-15:20" />

                </LinearLayout>

            </FrameLayout>

        </RelativeLayout>

        <View
            android:id="@+id/v_type"
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="15dp"
            android:layout_marginRight="15dp"
            android:background="#FFEFEFF3" />

        <TextView
            android:id="@+id/tv_live"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:textColor="#FF2175E7"
            android:textSize="12sp"
            tools:drawableTop="@drawable/ic_course_live"
            tools:text="录播" />
        <!--                    android:textColor="#ff8a49eb"
        -->


    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="14dp"
        android:background="#FFEFEFF3" />

    <LinearLayout
        android:layout_marginTop="7dp"
        android:id="@+id/ll_check_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="当前课程签到率："
            android:textColor="#ff666666"
            android:textSize="13sp" />

        <Space
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <TextView
            android:id="@+id/tv_progress_check"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:layout_marginRight="7dp"
            android:text="0%"
            android:textColor="#ff347fff"
            android:textSize="12sp" />

        <ProgressBar
            android:id="@+id/pb_check"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="100dp"
            android:layout_height="7dp"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:max="100"
            android:progress="0"
            android:progressDrawable="@drawable/pb_pd_sp_downloadxml" />

    </LinearLayout>

    <LinearLayout
        android:layout_marginTop="7dp"
        android:id="@+id/ll_group"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="班组："
            android:textColor="#ff666666"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/tv_group"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:layout_marginRight="7dp"
            tools:text="线上班，线下班"
            android:textColor="#ff347fff"
            android:textSize="12sp" />


    </LinearLayout>

    <LinearLayout
        android:layout_marginTop="7dp"
        android:id="@+id/ll_zcc"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="主持词："
            android:textColor="#ff666666"
            android:textSize="13sp" />

        <TextView
            android:id="@+id/tv_download"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:layout_marginRight="7dp"
            android:text="点击查看"
            android:textColor="#ff347fff"
            android:textSize="12sp" />


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_course_start"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="14dp"
            android:layout_weight="1"
            android:background="@drawable/shape_check_btn"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="开启课程"
            android:textColor="#ff347fff"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_course_end"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="14dp"
            android:layout_weight="1"
            android:background="@drawable/shape_out_btn"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="结束课程"
            android:textColor="#FFFF4940"
            android:textSize="12sp"
            android:visibility="gone" />


        <TextView
            android:id="@+id/tv_go_live"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="14dp"
            android:layout_weight="1"
            android:background="@drawable/shape_check_btn"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="去直播"
            android:textColor="#ff347fff"
            android:textSize="12sp" />


        <TextView
            android:id="@+id/tv_course_detail"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="14dp"
            android:layout_weight="1"
            android:background="@drawable/shape_schedule_detail"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="课程详情"
            android:textColor="#FF13D596"
            android:textSize="12sp" />

        <TextView
            android:id="@+id/tv_student"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:background="@drawable/shape_student_btn"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="学员列表"
            android:textColor="#FFFEBA00"
            android:textSize="12sp" />

    </LinearLayout>


</LinearLayout>